// Using a list to sort grid cells by elevation and return row-col
#ifndef SORTELEV_H
#define SORTELEV_H

#include <iostream>
#include <list>

using namespace std;

class Index {

public:
  Index( float elev, int row, int col );

  float elev();
  int row();
  int col();

  bool operator==(const Index &a) const;
  bool operator<(const Index &a) const;
    

private:  
  float d_elev;
  int d_row;
  int d_col;
};

void display( list<Index> &lst );


#endif
